Skip to main content
GET
Fetch a wallet's confidential-transfer seed

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

walletId
string
required

UUID of the wallet

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

solanaAddress
string
required

Solana address (base58 public key) the seed derives ElGamal keys for

Pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
derivationVersion
integer

Response

Stored seed

solanaAddress
string
required
derivationVersion
integer
required
elgamalPubkey
string
required
chain
string
required

Always SOL

encryptedSeed
string

Present on GET responses only